lp:lazr.config

Created by Leonard Richardson on 2009-08-25 and last modified on 2019-11-04
Get this branch:
bzr branch lp:lazr.config
Members of LAZR Developers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
LAZR Developers
Project:
lazr.config
Status:
Development

Recent revisions

22. By Colin Watson on 2019-11-04

Release lazr.config 2.2.2.

21. By Colin Watson on 2019-11-04

[r=twom] Officially add support for Python 3.7 and 3.8.

20. By Colin Watson on 2019-11-02

Move NEWS.rst to the top level, where it's easier to find.

19. By Colin Watson on 2017-10-20

Release lazr.config 2.2.1.

18. By Colin Watson on 2017-10-19

[r=wgrant] Adjust versioning strategy to avoid importing pkg_resources, which is slow in large environments.

17. By Barry Warsaw on 2017-02-09

Fix Python 3.6 compatibility and work around a problem with single source
bilingual namespace packages with dependencies in the same namespace.

16. By Barry Warsaw on 2015-01-06

Fix a doc building warning.

15. By Barry Warsaw on 2015-01-06

Release.

14. By Barry Warsaw on 2015-01-06

- For behavioral compatibility between Python 2 and 3, `strict=False` must be
  passed to the underlying `RawConfigParser` under Python 3. (LP: #1397779)

13. By Barry Warsaw on 2015-01-06

* Bump copyright years.
* Bump version to 2.1
* Always use old-style namespace package registration in ``lazr/__init__.py``
  since the mere presence of this file subverts PEP 420 style namespace
  packages. (LP: #1407816)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.